# Mysticons - Sprint10

## Suunnittelu

Sprintin teemana on hyvin vahvasti dokumentaation jatkaminen ja viimeistely. Dokumentointia tehdään sekä ohjeistuksien/manuaalien parissa, että vaatimusmäärittelyn ja repon kanssa. Loppu viikosta pitää muistaa kirjata ja lähettää repolaisessa heinäkuun tunnit ja kirjoittaa pienimuotoinen projektin loppuraportti. Perjantain esittelytilaisuuteen on jotenkin valmistauduttava kevyesti, jotta on selkeää mitä muille ja mahdollisille vierailijoille kerrotaan Mysticonsin tekemisistä tänä kesänä. Omasta osaamisesta on valmistauduttava myös kertomaan muutamalla sanalla. Timon esittely hoidetaan esinauhoitetulla videolla, jotta kaikki saavat mahdollisuuden sanoa sanottavansa. Pengwin Medialle pitää toimittaa materiaalia kotisivuille laitettavaksi. 

Jotain viilausta saatetaan tehdä, jos aikaa jää, mutta muuten teknisiä asioita ei sprintillä suunnitella tehtävän. Alkuviikosta olisi saatava Kuberneteksen pystytys ohjeen raakaversio testattavaksi vapaaehtoisille, jotta ohjeistusta pystytään sitten kommenttien perusteella parantamaan ja selventämään, jos sille on tarvetta. Myös Power Automaten dokumentointi pyritään viimeistelemään ja floweja viilataan, mikäli aikaa jää ja sille ilmenee tarvetta. Vähän viilataan sähköpostiin lähetettäviä ilmoituksia ja ylläpidolle lähetetään kanssa ilmoitukset. Mikäli toisilla tiimeillä ilmenee avun tarvetta, pyritään auttamista edelleen jatkamaan. 

#### Esimerkkejä sprintin taskeista:

* Kubernetes: dokumentointi 
* Power Automate: dokumentointi 
* Päivitä projekti ja lopputuote kuvaus 
* Kirjoita loppuraportti 
* Testauta Kubernetes ohjeet 


## Arvio sprintin taskien suorittamisesta

Vaikka hommat menivät niin sanotusti ylitöiksi, niin sprintin taskit saatiin kasaan ennen WIMMA Labin päätöstä. Näissäkin hommissa tiimin hyvä yhteishenki ja yhteistyö näkyy, kun kaveria ei jätetä.  

## Review

Sprintti kului dokumentaatiota väsätessä ja hommien viimeistelyssä ja viilauksessa. Välissä kerettiin auttamaan muitakin tiimejä. Hieman aika tuntui loppuvan kesken, mutta onneksi lopulta dokumentit saatiin julkaisu kelpoiseen kuntoon, johon kehtaa laittaa nimensä. Vaikka hiukan on kisaväsymystä havaittavissa ja viimeisillä viikoilla on ollut kiirettä muillekin jakaa, niin tiimi on jaksanut tehdä töitä hyvin ja tavoitella yhteisiä tavoitteita.  

Kesä on kulunut nopeaan ja paljon on tullut opittua. Mysticonsilla on ollut koko kesän hyvä meininki ja työnteko on ollut opettavaista, mutta myös hauskaa. Huumori on auttanut jaksamaan ja pääsemään yli niistä tilanteista, kun jokin haaste on aiheuttanut hetkellisesti turhautumista tai pään hakkaamista seinään. Tiimityöskentely on ollut tehokasta, ja sen avulla ongelmat on onnistuttu selättämään.  

Tuloksissa osa tavoitteista saavutettiin, mutta osa jäi saavuttamatta. Power Automate kokonaisuutena saatiin valmiimpaan pakettiin. Kubernetes puolestaan aiheena oli todella laaja, joten olisi ollut suoranainen ihme, jos tavoiteltu kokonaisuus olisi saatu kasaan. Todellisuus on, että Kuberneteksen ja DevSecOpsin suhteen kesän aikana ehdittiin raapaista vain pintaa. Onneksi Kuberneteksessakin saatiin aikaiseksi selkeä kokonaisuus, mistä on hyvä seuraavien päästä jatkamaan. Lopputuotoksiin ja ohjeistuksiin pääsee tutustumaan paremmin Mysticonsin siten tai WIMMA Labin Green bookin kautta. 

Kiitos koko tiimille tästä kesästä ja menestystä tulevaan! 
